Bug 463979 - mount.8 contains typo; does not mention relatime default
mount.8 contains typo; does not mention relatime default
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: util-linux-ng (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 15:02 EDT by Michel Alexandre Salim
Modified: 2008-09-29 05:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 05:12:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-09-25 15:02:55 EDT
Description of problem:
mount.8 misspelled relatime as realtime in its description of the 'norelatime' option. Also, in Fedora the default for ext3 is relatime but the manpage cites the upstream default of atime; this might be confusing to users.

(To clarify: does the relatime default apply to ext3 only, or also to ext4dev? How about other filesystems that are sometimes in use, like reiser or jfs? xfs too, though that's unlikely to be used on a Flash block device)

Version-Release number of selected component (if applicable):
2.14.1-2.fc10

How reproducible:
Always

Steps to Reproduce:
1. man mount
Comment 1 Michel Alexandre Salim 2008-09-26 16:40:36 EDT
The spelling change is still a bug; Fedora's kernel default is now back to atime so the other change does not need to be made anymore.

Fedora's userspace *should* probably use relatime by default but that's not a util-linux-ng, presumably.
Comment 2 Karel Zak 2008-09-29 05:12:30 EDT
I'd like to minimize number of Fedora specific patches, especially when the patch depends on any other patch in any other package (e.g kernel). I have added to the upstream mount.1 man page ("-o" section):

  Some of these options could be enabled or disabled by default in the system 
  kernel. To check the current setting see the options in /proc/mounts.

The typo has been fixed in upstream code. Thanks.

Note You need to log in before you can comment on or make changes to this bug.